# Xapian::SimpleStopper Class Reference

Simple implementation of Stopper class - this will suit most users. More...

Inheritance diagram for Xapian::SimpleStopper:

[legend]

List of all members.

## Public Member Functions
| SimpleStopper ()
| Default constructor.
template<class Iterator >
| SimpleStopper (Iterator begin, Iterator end)
| Initialise from a pair of iterators.
void | add (const std::string &word)
| Add a single stop word.
virtual bool | operator() (const std::string &term) const
| Is term a stop-word?
virtual std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Simple implementation of Stopper class - this will suit most users.

## Member Function Documentation

virtual bool Xapian::SimpleStopper::operator() | ( | const std::string & | term | ) | const`[inline, virtual]`

Is term a stop-word?

Parameters:

  | term | The term to test.

Implements Xapian::Stopper.

The documentation for this class was generated from the following file:

- xapian/queryparser.h